#include <iostream>
#include<vector>
using namespace std;

int main()
{
  int n,x,y,p,zbir=0,nz=-1;
  long long mx=100001,my=100001,l=1000000007;
  cin>>n;
  vector<int>tx;
  vector<int>ty;
  for(int i=0;i<n;i++)
    {
      cin>>x>>y;
      tx.push_back(x);
      ty.push_back(y);
    }
  for(int i=0;i<n;i++)
    {
      if(i==0)
        zbir=0;
      //if(i==1)
       // cout<<abs(tx.at(0)-tx.at(1))*abs(ty.at(0)-ty.at(1))<<"bu"<<endl;
      else
     {
       nz=-1;
      for(int k=0;k<i+1;k++)
        {for(int z=0;z<i+1;z++)
        {
          if(nz<abs(tx.at(k)-tx.at(z))*abs(ty.at(k)-ty.at(z)))
            nz=abs(tx.at(k)-tx.at(z))*abs(ty.at(k)-ty.at(z));
        }}
      for(int p=0;p<i+1;p++)
        {
          if(tx.at(p)<mx)
          { mx=tx.at(p);
            //cout<<"prva"<<endl;
            }
          if(ty.at(p)<my)
          { my=ty.at(p);
           // cout<<"druga"<<endl;
            }
        }
     // cout<<mx<<endl<<my<<endl;
      for(int j=0;j<i+1;j++)
        {
          zbir+=abs(tx.at(j)-mx)*abs(ty.at(j)-my);
        }
        }
      cout<<max(nz,zbir)%l<<endl;
    }
    return 0;
}